DSM 6.2 Loader


Recommended Posts

10 hours ago, IG-88 said:

in theory you could use 918+ (loader 1.04b) but the only gain would be the option to use nvme cache drives (after additional patching),

Hi IG-88 I wanted to insert 2 NVMe for cache on DSM6.2.3 with loader 104b for 918 from USB stick and Supermicro X11SCH-LN4F motherboard (I don't know if this is important), when I installed the DSM I changed the loader only partition 0 (15Mb) for the VID and PID codes the serial number and the MacAdress, I have not touched partition 1 (30Mb), do I have to change it ?? can you possibly indicate the posts where it is described how to do it ??? there are thousands here and I never know which one to follow. Thank you

Link to post
Share on other sites
5 hours ago, F.K. said:

I often read that only certain Intel NICs are supported with DSM 6.2x. Is that (still) the case? Or can I use my integrated Intel I219-LM with 1.03b / 1.04b without any problems?

most people dont get that one right, synology did some kernel changes in 6.2.1/6.2.2 that made most extra drivers not working, only the drivers originally within dsm (aka native) where still working, as no one was willing to have a look into this (jun even pointed out where the problem came from) and make new drivers some people needed to revert to 6.2.0 other bought certain intel nic's to get around the problem (often seen are cases with hp microserver's onboard broadcom driver not working anymore and people buying a hp intel based nic to get the system back into network - it was running, the raid was up and anything but without the nic working most deemed the system dead or bricked), i later came back here and made drivers for 6.2.2 but after about half a year i did that synology reverted the change in 6.2.3 and the old drivers where back working again (in retrospect i wasted a ton of time with that 6.2.2 stuff), that case never happened before and i dont think it will repeat. if you want to make your system less fall int problem area you can choose hardware that has driver present in the dsm version you are using (tutorials about native drivers), like ahci is part of synology's base kernel and will work for sure on all 3 types we use now, also as we dont know what dsm system the person hacking dsm and creating a loader will choose (jun in that case) there is not much future proof when choosing, we dont know what dsm type will it be (like for 7.0 - if there will be a loader, dont expect anything before official 7.0 release)

 

anyway you can use the onboard nic, beside jun's base set (that should be enough) there is also my extended set that cover even more exotic, older hardware or 10G nic's and newer chip revisions of nic's needing newer driver versions

  • Like 1
Link to post
Share on other sites

hello to all

 

I use HP ML110 Gen9 hardware with loader 1.04b ... DSM 6.2.3-25426 Update 3

 

Intel® Xeon® Processor E5-2695 v3 

35M Cache, 2.30 GHz

 

My problem is that DSM use and see only one core from 14 (28 threads)

 

562932030_Screenshot2021-04-08at23_10_53.png.7f4d6fc420f241d1fa504992c35d5531.png

 

Please advice dear friends !

 

I DO SOMETHING WRONG ?

 

Thank you !!

 

 

Edited by mbarac
Link to post
Share on other sites
8 hours ago, mbarac said:

hello to all

 

I use HP ML110 Gen9 hardware with loader 1.04b ... DSM 6.2.3-25426 Update 3

 

Intel® Xeon® Processor E5-2695 v3 

35M Cache, 2.30 GHz

 

My problem is that DSM use and see only one core from 14 (28 threads)

 

562932030_Screenshot2021-04-08at23_10_53.png.7f4d6fc420f241d1fa504992c35d5531.png

 

Please advice dear friends !

 

I DO SOMETHING WRONG ?

 

Thank you !!

 

 

normally with an i5 you should have  

Bildschirmfoto 2021-04-11 um 21.01.37.png

Link to post
Share on other sites
9 hours ago, mbarac said:

My problem is that DSM use and see only one core from 14 (28 threads)

...

I DO SOMETHING WRONG ?

 

yes and no, just one cpu core is little odd but even under best conditions, 918+ is limited to 8 threads and with HT active thats 4 real cores and 4 HT cores

your best shot to get the most out of the system as baremetal is 3617, that has 16 threads and you would need to disable HT or you end with 8 real cores and 8 HT cores (one HT core about 20-25% of a real core)

not sure why its that kind of cpu but if you had vm's in mind then consider a hypervisor esxi or qemu/kvm like proxmox and use dsm in a vm

the limits are documented here

https://xpenology.com/forum/topic/13333-tutorialreference-6x-loaders-and-platforms/

 

Link to post
Share on other sites
On 4/10/2021 at 2:28 PM, IG-88 said:

most people dont get that one right, synology did some kernel changes in 6.2.1/6.2.2 that made most extra drivers not working, only the drivers originally within dsm (aka native) where still working, as no one was willing to have a look into this (jun even pointed out where the problem came from) and make new drivers some people needed to revert to 6.2.0 other bought certain intel nic's to get around the problem (often seen are cases with hp microserver's onboard broadcom driver not working anymore and people buying a hp intel based nic to get the system back into network - it was running, the raid was up and anything but without the nic working most deemed the system dead or bricked), i later came back here and made drivers for 6.2.2 but after about half a year i did that synology reverted the change in 6.2.3 and the old drivers where back working again (in retrospect i wasted a ton of time with that 6.2.2 stuff), that case never happened before and i dont think it will repeat. if you want to make your system less fall int problem area you can choose hardware that has driver present in the dsm version you are using (tutorials about native drivers), like ahci is part of synology's base kernel and will work for sure on all 3 types we use now, also as we dont know what dsm system the person hacking dsm and creating a loader will choose (jun in that case) there is not much future proof when choosing, we dont know what dsm type will it be (like for 7.0 - if there will be a loader, dont expect anything before official 7.0 release)

 

anyway you can use the onboard nic, beside jun's base set (that should be enough) there is also my extended set that cover even more exotic, older hardware or 10G nic's and newer chip revisions of nic's needing newer driver versions

 

10 hours ago, IG-88 said:

 

yes and no, just one cpu core is little odd but even under best conditions, 918+ is limited to 8 threads and with HT active thats 4 real cores and 4 HT cores

your best shot to get the most out of the system as baremetal is 3617, that has 16 threads and you would need to disable HT or you end with 8 real cores and 8 HT cores (one HT core about 20-25% of a real core)

not sure why its that kind of cpu but if you had vm's in mind then consider a hypervisor esxi or qemu/kvm like proxmox and use dsm in a vm

the limits are documented here

https://xpenology.com/forum/topic/13333-tutorialreference-6x-loaders-and-platforms/

 

Guru Master, thank you again for your detailed and wonderfully understandable explanation on this topic. I am really excited about the quality of your support. Now I feel really fit to update my system to 6.2.x.

Link to post
Share on other sites
12 hours ago, IG-88 said:

 

yes and no, just one cpu core is little odd but even under best conditions, 918+ is limited to 8 threads and with HT active thats 4 real cores and 4 HT cores

your best shot to get the most out of the system as baremetal is 3617, that has 16 threads and you would need to disable HT or you end with 8 real cores and 8 HT cores (one HT core about 20-25% of a real core)

not sure why its that kind of cpu but if you had vm's in mind then consider a hypervisor esxi or qemu/kvm like proxmox and use dsm in a vm

the limits are documented here

https://xpenology.com/forum/topic/13333-tutorialreference-6x-loaders-and-platforms/

 

 

THANK YOU for your reply !!

 

Meantime I found the problem (x2APIC was enabled, i disabled), see picture

1639709634_Screenshot2021-04-12at11_35_20.thumb.png.7ce1b3d069d96d2a79ca6c21a6bb681a.png

 

after that:

578404344_Screenshot2021-04-12at11_10_16.thumb.png.27050502c17180c2a05dd5c4afbb5650.png

 

Thanks,

Link to post
Share on other sites
47 minutes ago, Dfds said:

@mbaracit’s good practice to disable the admin account for security. Remember to create an additional user with admin privileges before doing so though.

 

 

thanks, you're wright !!

Link to post
Share on other sites
  • 2 weeks later...
On 9/2/2020 at 1:42 AM, krycha88 said:

 

yes, this way works!

 

- Outcome of the update: SUCCESSFUL

- DSM version prior update: 6.2-25426

- Loader version and model: JUN'S LOADER 1.03b - DS3615xs

- Using custom extra.lzma: NO

- Installation type: HP t610 thin clien

- Additional comments: Boot USB with EASy2Boot

 

tks very much! hp t610 can not boot synology because boot from uefi , i
I make its work with mbr boot。In addition,I use the internal ssd(16g) disk in the t610 machine to boot on mbr,there is no need to use e2b。But if use usb-hdd starts ,mbr  won't work,you have to use e2b!

Link to post
Share on other sites
On 8/1/2018 at 5:42 PM, autohintbot said:

Does the Haswell-or-later requirement still apply here?  I am unable to get anything past the very first boot message (nothing shows up on network, no activity on serial port past the boot menu and initial message).

 

583365020_ScreenShot2018-08-01at4_00_50PM.thumb.png.ce06ae00991dff8f1d7c46cdf9fa86e9.png

 

 

 

Hi there. I have a same problem. Can not pass this error. Any suggestion please? Thanks

Link to post
Share on other sites

I have a question about a clean install on an:


i7 10700
MSI Z-490-a-pro
Realtek RT8125B
Intel X540-10G-2T

 

The thing is that the Loader Jun's loader v1.02b DS3617xs works correctly and detects the intel NIC. 

Jun's Loader v1.03b DS3617xs does not detect the intel NIC.

Is it possible that Jun's Loader v1.03b DS3617xs does not have the intel card drivers?

I have read that I can compile my extra.lzma and add the driver to it. I think I'll go for this option after installing DSM version 6.1.x.

On the other hand,

Is it possible to copy the extra.lzma from Jun's loader v1.02b DS3617xs and put it into Jun's Loader v1.03b DS3617xs?


Thanks and sorry but I'm a noob when it concerns drivers.


 

 

 

Link to post
Share on other sites
19 hours ago, Y4gami said:

The thing is that the Loader Jun's loader v1.02b DS3617xs works correctly and detects the intel NIC. 

Jun's Loader v1.03b DS3617xs does not detect the intel NIC.

 

This is unlikely.  Much more likely that the boot mode has not been properly set for 1.03b loader (CSM/Legacy mode is required).

Link to post
Share on other sites

Thanks Jun for your hard work in creating this loader im not keeping my fingers crossed for a loader for the 6.2.4 update or even better the ability to test DSM 7 ;)

Link to post
Share on other sites
Posted (edited)

Got a problem with a newly created Xpenology VM

i passed through a Broadcom HBA 9400-8i with 2x WD Red Pro 8TB connected (in POST and VMware ESXi they get detected)

But they dont get recognized in the DS3617xs with the 1.03b Loader (also tried the DS3615xs and the DS918+)

Currently its running on DSM 6.2-23739

 

Already got a DS3615xs VM with an LSI2008, also 1.03b Loader, running without a problem but this thing gives me headaches 

 

Somebody got an idea?

Could it be a driver problem that would be "fixed" with the driver extension from IG-88? Driver Extension Link

 

image.thumb.png.82020e9f24c06fe06738c476f702318e.png

 

 

dmesg.txt

Edited by frooop
Link to post
Share on other sites
Posted (edited)

 

6 hours ago, frooop said:

Somebody got an idea?

 

Yes, you are trying to use a brand-new HBA so why would a 2015/2017/2018 release hardware/software platform have support for it?

 

Your options are to try the extra.lzma and see if the LSI driver update supports it, or have ESXi manage the HBA and create RDM profiles for each physical disk that can then be attached to the XPe VM.

Edited by flyride
Link to post
Share on other sites
34 minutes ago, flyride said:

Your options are to try the extra.lzma and see if the LSI driver update supports it

Tried that with migration to the DS3615xs image and its not showing the drives...

 

 

35 minutes ago, flyride said:

have ESXi manage the HBA and create RDM profiles for each physical disk that can then be attached to the XPe VM

Seems like i have to create RDMs or change the HBA to a different one...

 

Link to post
Share on other sites
16 hours ago, frooop said:

i passed through a Broadcom HBA 9400-8i

not supported as we build on kernel drivers (dsm uses pretty old kernels) and the drivers that come with dsm

best (newest) driver would be in 3617 (from synology) and that one does not support Fusion-MPT Tri-Mode chips

one gen lower is supported afair

last time we tried the drivers from newer avago/broadcom source compiled against synology kernel source crashed, the have modded source of the kernel and i guess also to the newer lsi driver too so its not just slapping in some new driver source when it comes to scsi/sas (as we can see with 918+, there are some parts missing when compiling just new drivers from synology's kernel, like not having s.m.a.r.t. support)

 

if using not supported hardware its still possible to use virtualization (as flyride pointed out)

with dsm 6.2 "aging" it gets more important to choose the right hardware,its not a normal linux distribution with recent kernel (and hardware support), its kernel 3.10.105 (3615/17) and 4.4.59 (918+)

also possible is to use "similar" free nas distributions like open media vault (my fall back if things go south with dsm), the gui might not be as flashy as dsm's but it offers much better hardware support and with its docker support a lot of things can be done

Link to post
Share on other sites
5 hours ago, IG-88 said:

not supported

Good to know

 

5 hours ago, IG-88 said:

one gen lower is supported afair

I will look to find the older 9300 series card and swap them out...

 

 

Thanks flyride and IG-88 for the quick help

Link to post
Share on other sites

Both 1.03b and 1.04b report that the image is corrupted although they both download the correct size. Also the instructions say I'll see a *.img and a *.pat but the zip file contains only the *.img. When I open the .img with PowerIOS it has three partions but no sign of *.pat or what I'm suppose to do with each partition.

Link to post
Share on other sites
Posted (edited)

Hi guys,

 

I just installed DSM 6.2.3 on HP EliteBook 840 G2 but after I complete the initial setup, the notebook shutdown for some reason (I set the MAC address, PID, and VID correctlly).I have the latest loader 1.0.4

 

Any idea about what is wrong ?

 

// SOLVED: One of the disks was overheating...the solution is to ssh into the DSM, edit a file and restart it. or just disable the overheating drive.

Edited by maxhartung
  • Like 1
Link to post
Share on other sites

HI EVERYBODY! a big big thanks to all of the staff , especially to Jun whom i wanna ask something:

is there reaaly impossible to make the 1.04 loader UEFI bootable? it would be wonderful for people with UEFI only bios motherboard like me

 

thx a lot for your answer

Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.